import json

import requests


def print_json_pretty(obj):
    print(json.dumps(obj, indent=4, ensure_ascii=False))


def print_json_plain(obj):
    print(json.dumps(obj, ensure_ascii=False))


defaultHeader = {
    "cookie": "lang=zh-CN; MJSESSIONID=YmQ1YTAyOTktMjBiMy00MmZhLWJmMmUtNjQyODJmYjU0ODM4; satoken-server=d6e42d1a-2372-4746-a032-f5690ff6fbbc"}


def req(url, json_dict):
    res = requests.post(url, json=json_dict, headers=defaultHeader)
    print_json_plain(json_dict)
    print_json_pretty(res.json())
    return res.json()


def reqGet(url, params):
    res = requests.get(url, params=params, headers=defaultHeader)
    # print_json_plain(params)
    # print_json_pretty(res.json())
    return res.json()


def reqForm(url, formData):
    res = requests.post(url, data=formData, headers=defaultHeader)
    # print_json_plain(formData)
    # print_json_pretty(res.json())
    return res.json()
