import json
import sys

from kafka import KafkaProducer

producer = KafkaProducer(value_serializer=lambda v: json.dumps(v).encode('utf-8'),
                         bootstrap_servers=sys.argv[1].split(","))

msg = sys.argv[3]
if msg.startswith("{"):
    msg = json.loads(msg)
else:
    msg = {'message': msg}
print(f"msg: {msg}")
producer.send(sys.argv[2], value=msg, partition=0).get()
