import datetime
import uuid

from kafka import KafkaConsumer
import sys

# tag_sink_topic\tag_atom_topic
consumer = KafkaConsumer(sys.argv[2],
                         group_id=str(uuid.uuid1()),  # 一个组消费一次
                         auto_offset_reset='latest',  # 从最新数据读取,earliest,latest
                         bootstrap_servers=sys.argv[1].split(",")
                         )
for msg in consumer:
    print(datetime.datetime.now(), msg.value.decode('utf-8'))
