from rocketmq.client import Producer, Message

namesrv = "172.19.193.178:9876"
topic_name = 'topic_name'

producer = Producer('PID-001')  # 随便
producer.set_namesrv_addr(namesrv)  # ip和端口
producer.start()

msg = Message(topic_name)  # topic
msg.set_keys('2020-12-15')
msg.set_tags('explain')
msg.set_body('{"key":"value"}')
ret = producer.send_sync(msg)
print(ret.status, ret.msg_id, ret.offset)
producer.shutdown()
